.TH Command MODIFY
.SY "modify <PLANES> <MOD>"
The `\*Qmodify\*U' command gives you the ability to make
alterations to your aircraft.  The stock aircraft design
often leaves a little room for adding more firepower, beefing
up the armor, or increasing the flying range.
.s1
You also use `\*Qmodify\*U' to alter the Intercept Defense 
Radius (IDR) of an interceptor, making it possible for you to
be somewhat more selective about which planes fly intercept
missions.  An aircraft will not be chosen for intercept
duty unless an intruder comes within the range established
by the interceptor's IDR.
.s1
With each invocation of the `\*Qmodify\*U' command you can
either make one specific modification, or remove all mods
and return an aircraft to its factory-original condition.
For non-VTOL aircraft, modifications must be done at your own or 
allied airfields that are at least 60% efficient and have some 
available workforce.  VTOL aircraft don't have to be in an 
airfield to be modified.
Each modification costs 5% of the original
construction cost of the aircraft, reduces aircraft
efficiency by 20%, and consumes 40 mobility points.
.s1
For the <PLANES> argument you specify either one plane,
a slash-separated list of planes, a wing ID, or a `*' to
specify to all your planes.  More specific selection 
conditions can be specified with an additional `?' argument.
.s1
The <MOD> argument can be one of several things:
.NF

  +f  Adds long-range  ferry tanks which  double the flight
      range.  All weaponry  and defensive armor  is removed
      to lighten   the  aircraft,  and the  plane   becomes
      incapable of transporting commodities.  Fuel usage is
      doubled.

  +a  If possible, increase the plane's attack factor by 1.
      The   added arsenal weight  reduces range  by 1.  The
      attack factor generally   cannot be increased  beyond
      150% of the stock aircraft value.

  +d  If possible, increase  the plane's  defense factor by
      1.  The added armor  reduces range by 1.  The defense
      factor generally  cannot be  increased beyond 150% of
      the stock aircraft value.

  +r  If possible, increase  the plane's range by 1, at the
      expense  of  either  one  attack  or   defense point,
      whichever of the two is greater to begin with.  Range
      generally  cannot  be increased  beyond  150%  of the
      stock aircraft value.

  -m  Remove all modifications, returning the plane to  its
      factory-original configuration.

  i <idr>   Set the intercept  defense  radius (IDR) of the
            aircraft to the specified range.    The  actual
            value set will be automatically limited to half
            the maximum range of the aircraft.

.FI    
Generally, no factor can exceed 150% of its factory-original value.
The only exceptions are when the original value is 1, in which case
it can be increased to 2, and when installing long range ferry tanks,
which automatically double the range.  As you increase one factor,
you make a tradeoff as another factor will always decrease.  The
attack factor can never decrease below 0; the defense factor can
never decrease below 1; the range can never decrease below 2.
.s1
Missiles, satellites, helicopters, and any aircraft armed with
nuclear devices are not modifiable.  Cargo aircraft cannot be fitted
with long range ferry tanks.
.s1
Modified aircraft have an asterisk prepended to their names
in the list produced by the `\*Qplane\*U' command.
.s3
See also : plane, build, scrap
